#
# spec file for package makeself
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
# Copyright (c) 2011 Malcolm J Lewis <malcolmlewis@opensuse.org>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           makeself
Version:        2.2.0
Release:        10.5
Summary:        Make self-extractable archives on Unix
License:        GPL-2.0+
Group:          Productivity/Archiving/Compression
Url:            http://www.megastep.org/makeself/
# Manually created from git://github.com/megastep/makeself.git
Source0:        %{name}-%{version}.tar.bz2
Source1:        %{name}.rpmlintrc
BuildArch:      noarch

%if 0%{?suse_version} < 1120 || 0%{?sles_version} <= 11
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%endif

%description
Small shell script that generates a self-extractable tar.gz archive from a
directory. The resulting file appears as a shell script (many of those
have a .run suffix), and can be launched as is. The archive will then
uncompress itself to a temporary directory and an optional arbitrary
command will be executed (for example an installation script).

This is pretty similar to archives generated with WinZip Self-Extractor in
the Windows world. Makeself archives also include checksums for integrity
self-validation (CRC and/or MD5 checksums).

%prep
%setup -q

%build

%install
install -D -m0755 makeself.sh  %{buildroot}%{_bindir}/makeself
ln -s /usr/bin/makeself %{buildroot}%{_bindir}/makeself.sh
install -D -m0755 makeself-header.sh  %{buildroot}%{_bindir}/makeself-header.sh
install -D -m0644 makeself.1 %{buildroot}%{_mandir}/man1/makeself.1

%files
%defattr(-,root,root,-)
%doc README.md COPYING
%{_bindir}/makeself-header.sh
%{_bindir}/makeself.sh
%{_bindir}/makeself
%{_mandir}/man1/makeself.1*

%changelog
* Mon Mar 24 2014 speilicke@suse.com
- Most software (such as Virtualbox) expects 'makeself', not makeself.sh.
  Rename and provide a compat symlink
* Sun Apr 14 2013 idonmez@suse.com
- Update to version 2.2.0
  * Adds many fixes and contributions from Github users
  * An option to give an additional argument to tar
* Mon Jul 11 2011 malcolmlewis@opensuse.org
- Update spec file License field from GPLv2+ to GPL-2.0+ to
  conform with spdx.org identifier.
- Fix error in rpmlitrc file.
* Mon Jul 11 2011 mrdocs@opensuse.org
- spec file tweaks.
- convert changelog to  .changes file.
* Tue Mar 23 2010 Malcolm J Lewis <coyoteuser@gmail.com> - 2.1.5
- initial OBS build.
